package com.bocloud.cmp.model.installation.catalog;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * 物理机硬件信息类
 *
 * @author Shaolong_tan
 */
public class NodeDetail {
    /**
     * 物理机详情基本信息
     */
    private Basic basic;
    /**
     * 物理机cpu详情
     */
    private List<Cpu> cpus;
    /**
     * 物理机内存详情
     */
    private MemoryInfo memory;
    /**
     * 物理机磁盘详情
     */
    private List<Disk> disks;
    /**
     * 物理机主板详情
     */
    private Board board;
    /**
     * 物理机ipmi用户详情
     */
    private List<String> ipmiUsers;
    /**
     * 节点安装盘信息
     */
    private String installDisk;

    /**
     * @return the basic
     */
    public Basic getBasic() {
        return basic;
    }

    /**
     * @param basic the basic to set
     */
    public void setBasic(Basic basic) {
        this.basic = basic;
    }

    /**
     * @return the cpus
     */
    public List<Cpu> getCpus() {
        return cpus;
    }

    /**
     * @param cpus the cpus to set
     */
    public void setCpus(List<Cpu> cpus) {
        this.cpus = cpus;
    }

    /**
     * @return the memory
     */
    public MemoryInfo getMemory() {
        return memory;
    }

    /**
     * @param memory the memory to set
     */
    public void setMemory(MemoryInfo memory) {
        this.memory = memory;
    }

    /**
     * @return the disks
     */
    public List<Disk> getDisks() {
        return disks;
    }

    /**
     * @param disks the disks to set
     */
    public void setDisks(List<Disk> disks) {
        this.disks = disks;
    }

    /**
     * @return the board
     */
    public Board getBoard() {
        return board;
    }

    /**
     * @param board the board to set
     */
    public void setBoard(Board board) {
        this.board = board;
    }

    /**
     * @return the ipmiUsers
     */
    public List<String> getIpmiUsers() {
        return ipmiUsers;
    }

    /**
     * @param ipmiUsers the ipmiUsers to set
     */
    public void setIpmiUsers(List<String> ipmiUsers) {
        this.ipmiUsers = ipmiUsers;
    }

    public String getInstallDisk() {
        return installDisk;
    }

    public void setInstallDisk(String installDisk) {
        this.installDisk = installDisk;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
